Subject: [netatalk-admins] Beginners introduction to applying patches???

From: Peter Bates <[email-masked]>
Date: Mon, 17 Aug 1998 11:44:45 +0100

Hello all...

This might seem like a bit of a lame request,
but I'm having trouble applying patches (such as
the one that fixes the 'dancing icons' bug) to Netatalk 1.4b2...

I think it is largely a question of lack of knowledge
surrounding applying patches, rather than anything else...

The system is Solaris 2.5.1, I  have the source-code
in a fairly plain directory, and then the patches above
the /etc/afpd part of the source code tree...

Just trying to patch (in the initial case /etc/afpd/unix.c),
patch seems to look in /etc/afpd rather than drilling down
from the current directory, but the whole thing fails even
when I create a directory /etc/afpd and put the relevant file in there!

I will goand install the GNU version of patch because as far
as I can see, I'm using the Sun version, and I'm not having much fun...

Anyone suggest anything I'm obviously doing wrong?

Thanks....

--------------------------------------------->
Peter Bates, Systems Support Officer,
Network Support Team
London School of Hygiene & Tropical Medicine.
Telephone:0171-927 2124 / Fax:0171-467 9504 / Pager: 04325 255362